> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1platformteamtokens



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/platform/team/tokens
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/platform/team/tokens:
    post:
      tags:
        - TeamTokens
      operationId: tokens.store
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type:
                    - string
                    - 'null'
                scope_all:
                  type: boolean
                  description: if true will allow all scopes
                scopes:
                  type: array
                  items:
                    type: object
                    properties:
                      method:
                        type: string
                        enum:
                          - get
                          - post
                          - patch
                          - delete
                          - '*'
                      endpoint:
                        type: string
                        description: \* is a wildcard for all endpoints
                      reason:
                        type:
                          - string
                          - 'null'
                    required:
                      - method
                      - endpoint
      responses:
        '200':
          description: '`TeamAccessTokenData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TeamAccessTokenData'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    TeamAccessTokenData:
      type: object
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        access_token:
          type: string
        scopes:
          type:
            - object
            - 'null'
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/IntegrationMetaScopesData'
          required:
            - data
        team_id:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - access_token
        - scopes
        - team_id
        - created_at
        - updated_at
      title: TeamAccessTokenData
    IntegrationMetaScopesData:
      type: object
      properties:
        method:
          type: string
          enum:
            - get
            - post
            - patch
            - delete
            - '*'
        endpoint:
          type: string
        reason:
          type:
            - string
            - 'null'
      required:
        - method
        - endpoint
        - reason
      title: IntegrationMetaScopesData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````